Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 10 Nov 2022 16:44:21 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered some of the newborns items on 8.11.22 and still don't understand why it is taking so much time as it was return to deliver on the next day. Next day some guy take it to riffa to deliver the order whether I'm living in salamabad. My husband pin our location to the guy he told us that he'll gonna deliver tomorrow means 10.11.22 but still no progress this is my first time ordering in bahrain and probably will be my last time. I have never experienced this kind of problem in KSA or Dubai. Worst experience. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5242313